> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Detail



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/contacts/company-stats/{companyId}/detail
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/contacts/company-stats/{companyId}/detail:
    get:
      tags:
        - Company Stats
      summary: Find Detail
      operationId: CompanyStatsController_findDetail_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
        - name: companyId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
        - name: scope
          required: false
          in: query
          schema:
            default: lifetime
            type: string
            enum:
              - lifetime
              - ongoing
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyStatsDetailResponseDto'
components:
  schemas:
    CompanyStatsDetailResponseDto:
      type: object
      properties:
        companyId:
          type: string
        clientProjectCount:
          type: number
        specCount:
          type: number
        specifiedQuantity:
          type: string
        sourcedProjectCount:
          type: number
        manufacturedCount:
          type: number
        manufacturedQuantity:
          type: string
        manufacturedProjectCount:
          type: number
        documentCount:
          type: number
        lastSpecifiedAt:
          type: string
          nullable: true
        categoryShare:
          type: array
          items:
            $ref: '#/components/schemas/CategoryShareDto'
        brands:
          type: array
          items:
            $ref: '#/components/schemas/BrandUsageDto'
        trend:
          type: array
          items:
            $ref: '#/components/schemas/QuarterPointDto'
      required:
        - companyId
        - clientProjectCount
        - specCount
        - specifiedQuantity
        - sourcedProjectCount
        - manufacturedCount
        - manufacturedQuantity
        - manufacturedProjectCount
        - documentCount
        - lastSpecifiedAt
        - categoryShare
        - brands
        - trend
    CategoryShareDto:
      type: object
      properties:
        categoryId:
          type: string
        categoryName:
          type: string
        supplierCount:
          type: number
        categoryTotal:
          type: number
      required:
        - categoryId
        - categoryName
        - supplierCount
        - categoryTotal
    BrandUsageDto:
      type: object
      properties:
        companyId:
          type: string
        companyName:
          type: string
        itemCount:
          type: number
      required:
        - companyId
        - companyName
        - itemCount
    QuarterPointDto:
      type: object
      properties:
        quarterStart:
          type: string
        itemCount:
          type: number
        specifiedQuantity:
          type: string
      required:
        - quarterStart
        - itemCount
        - specifiedQuantity

````